Public Class cDienstplanSchicht
    Property dedet_id As Integer = 0
    Property dedet_niederlassung As String = ""
    Property dedet_abt As String = ""
    Property dedet_info As String = ""
    Property dedet_von As String = ""
    Property dedet_bis As String = ""
    Property dedet_pause As String = ""
    Property dedet_bezeichnungDP As String = ""
    Property dedet_ProzentGrafik As String = ""
    Property dedet_bezeichnungExcel As String = ""
    Property dedet_bezeichnungExcel2 As String = ""
    Property dedet_bezeichnungExcel3 As String = ""
    Property dedet_ZeilenExcel As Integer = 0
    Property dedet_benutzerdefinierteSchicht As Boolean = False
    Property dedet_stdWieArbeitszeit As Boolean = False

    Property dedet_reihenfolge As Integer = 0
    Property dedet_WechselZuSchicht As String = ""
    Property dedet_TagesWechsel As Boolean = False
    Property dedet_hotKey As String = ""
    Property dedet_bgAlternativeFarbe As Object
    Property dedet_ExcelBgFarbe As Object
    Property dedet_bezLeiter As String = ""

    Property dedet_ExcelMonatFarbe As Object
    Property dedet_ExcelMonatBezeichnung As String = ""
    Property dedet_Splitschicht As Boolean = False
    Property dedet_Hauptsplitschicht As Boolean = False
    Property dedet_Aktiv As Boolean = True

    Property ZEITEN As New List(Of cDienstplanSchichtZeiten)

    Sub New()

    End Sub

    Sub New(id)
        LOAD(id)
    End Sub

    Dim ADMIN As New cOptionenDAL
    Sub LOAD(id)
        Me.dedet_id = id

        Dim dt As DataTable = ADMIN.AnzeigeTabelle(" SELECT * FROM [tblDienstplanEintraegeDetails] WHERE dedet_id=" & Me.dedet_id & " ")
        If dt.Rows.Count > 0 Then
            Dim row As DataRow = dt.Rows(0)
            Me.dedet_id = row("dedet_id")
            Me.dedet_niederlassung = row("dedet_niederlassung")
            Me.dedet_abt = row("dedet_abt")
            Me.dedet_info = row("dedet_info")
            Me.dedet_von = row("dedet_von")
            Me.dedet_bis = row("dedet_bis")
            Me.dedet_pause = row("dedet_pause")
            Me.dedet_bezeichnungDP = row("dedet_bezeichnungDP")
            Me.dedet_ProzentGrafik = row("dedet_ProzentGrafik")
            Me.dedet_bezeichnungExcel = row("dedet_bezeichnungExcel")
            Me.dedet_bezeichnungExcel2 = row("dedet_bezeichnungExcel2")
            Me.dedet_bezeichnungExcel3 = row("dedet_bezeichnungExcel3")
            Me.dedet_ZeilenExcel = row("dedet_ZeilenExcel")
            Me.dedet_benutzerdefinierteSchicht = row("dedet_benutzerdefinierteSchicht")
            Me.dedet_stdWieArbeitszeit = row("dedet_stdWieArbeitszeit")

            Me.dedet_reihenfolge = row("dedet_reihenfolge")
            Me.dedet_TagesWechsel = row("dedet_TagesWechsel")
            Me.dedet_WechselZuSchicht = row("dedet_WechselZuSchicht")
            Me.dedet_hotKey = row("dedet_hotKey")
            Me.dedet_bgAlternativeFarbe = If(row("dedet_bgAlternativeFarbe") IsNot DBNull.Value, row("dedet_bgAlternativeFarbe"), Nothing)
            Me.dedet_ExcelBgFarbe = If(row("dedet_ExcelBgFarbe") IsNot DBNull.Value, row("dedet_ExcelBgFarbe"), Nothing)
            Me.dedet_bezLeiter = If(row("dedet_bezLeiter") IsNot DBNull.Value, row("dedet_bezLeiter"), "")

            Me.dedet_ExcelMonatFarbe = If(row("dedet_ExcelMonatFarbe") IsNot DBNull.Value, row("dedet_ExcelMonatFarbe"), Nothing)
            Me.dedet_ExcelMonatBezeichnung = If(row("dedet_ExcelMonatBezeichnung") IsNot DBNull.Value, row("dedet_ExcelMonatBezeichnung"), "")
            Me.dedet_Aktiv = CBool(row("dedet_Aktiv"))
            Me.dedet_Splitschicht = CBool(row("dedet_Splitschicht"))
            Me.dedet_Hauptsplitschicht = CBool(row("dedet_Hauptsplitschicht"))

            LOAD_ZEITEN(Me.dedet_id)
        End If

    End Sub


    Sub LOAD_ZEITEN(id)
        ZEITEN.Clear()
        Dim ADMIN As New cOptionenDAL
        For Each row As DataRow In ADMIN.AnzeigeTabelle(" SELECT *  FROM tblDienstplanSchichtenZeiten WHERE dsz_dedetId= '" & id & "'").Rows
            Dim z As New cDienstplanSchichtZeiten
            z.dsz_id = row("dsz_id")
            z.dsz_dedetId = row("dsz_dedetId")
            z.dsz_von = row("dsz_von")
            z.dsz_bis = row("dsz_bis")
            z.dsz_pause = row("dsz_pause")
            z.dsz_woTag = row("dsz_woTag")
            ZEITEN.Add(z)
        Next
    End Sub
End Class